/* Author: Mohammad M. AlBanna
 * Website: www.MBanna.info
 *
 * This is background script will be loaded once the Chrome browser got opened and the extension enabled
 */

//Show simple message when the background script has been loaded.
console.log("Hello! I'm background.js and I'm just working in background now!");

//Waiting any messages from content script
chrome.runtime.onMessage.addListener(function(request, sender, sendResponse) {
    if (request.greeting){
		sendResponse({farewell: "I got this, goodbye"});
    }
});

//Badge text and background color
chrome.browserAction.setBadgeText({ text: "123" });
chrome.browserAction.setBadgeBackgroundColor({color: "#E60000"});


//Message details object
var messageInfo = {
	type:"basic",
	title:"My First Title",
	message:"Out Of Pal Box Blog Message", 
	iconUrl:"../images/128.png"
}
//Show notification after 2 seconds
setTimeout(function(){
	chrome.notifications.create(messageInfo);
}, 2000);
